Answer typed questions about an input (OpenAI Decisions)
curl --request POST \
--url https://api.impossibl.com/v1/decisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "openai/gpt-6-luna-decisions",
"input": "<string>",
"questions": [
{
"name": "<string>",
"instructions": "<string>",
"choices": [
{
"value": "<string>",
"description": "<string>"
}
],
"levels": [
{
"label": "<string>",
"description": "<string>"
}
]
}
]
}
'import requests
url = "https://api.impossibl.com/v1/decisions"
payload = {
"model": "openai/gpt-6-luna-decisions",
"input": "<string>",
"questions": [
{
"name": "<string>",
"instructions": "<string>",
"choices": [
{
"value": "<string>",
"description": "<string>"
}
],
"levels": [
{
"label": "<string>",
"description": "<string>"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'openai/gpt-6-luna-decisions',
input: '<string>',
questions: [
{
name: '<string>',
instructions: '<string>',
choices: [{value: '<string>', description: '<string>'}],
levels: [{label: '<string>', description: '<string>'}]
}
]
})
};
fetch('https://api.impossibl.com/v1/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impossibl.com/v1/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'openai/gpt-6-luna-decisions',
'input' => '<string>',
'questions' => [
[
'name' => '<string>',
'instructions' => '<string>',
'choices' => [
[
'value' => '<string>',
'description' => '<string>'
]
],
'levels' => [
[
'label' => '<string>',
'description' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impossibl.com/v1/decisions"
payload := strings.NewReader("{\n \"model\": \"openai/gpt-6-luna-decisions\",\n \"input\": \"<string>\",\n \"questions\": [\n {\n \"name\": \"<string>\",\n \"instructions\": \"<string>\",\n \"choices\": [\n {\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"levels\": [\n {\n \"label\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impossibl.com/v1/decisions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"openai/gpt-6-luna-decisions\",\n \"input\": \"<string>\",\n \"questions\": [\n {\n \"name\": \"<string>\",\n \"instructions\": \"<string>\",\n \"choices\": [\n {\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"levels\": [\n {\n \"label\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impossibl.com/v1/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"openai/gpt-6-luna-decisions\",\n \"input\": \"<string>\",\n \"questions\": [\n {\n \"name\": \"<string>\",\n \"instructions\": \"<string>\",\n \"choices\": [\n {\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"levels\": [\n {\n \"label\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"model": "gpt-6-luna",
"answers": [
{
"type": "predicate",
"name": "<string>",
"probability": 0.5,
"choice": "<string>",
"score": 123,
"confidence": 0.5,
"probabilities": [
{}
]
}
],
"usage": {
"input_tokens": 1,
"output_tokens": 1,
"total_tokens": 1
}
}{
"error": {
"message": "`model` and `messages` are required",
"type": "invalid_request_error"
}
}{
"error": {
"message": "Invalid API key",
"type": "authentication_error"
}
}{
"error": {
"message": "Insufficient credits. Top up to continue.",
"type": "insufficient_quota"
}
}{
"error": {
"message": "Unknown model: foo/bar",
"type": "invalid_request_error"
}
}{
"error": {
"message": "permission-denied: ...",
"type": "upstream_error"
}
}{
"error": {
"message": "Provider not configured: missing OPENAI_API_KEY",
"type": "provider_not_configured"
}
}API Reference
Answer typed questions about an input (OpenAI Decisions)
Mirrors OpenAI’s native POST /v1/decisions exactly, so the official OpenAI SDKs work by pointing OPENAI_BASE_URL at this API. Send an input (text, or user messages with input_text/base64 input_image parts) plus an array of typed questions (predicate, choice, score), each with a unique name, and receive one typed answer per question with probabilities. Requires openai/gpt-6-luna-decisions; other models return 400. Billed on usage.input_tokens only (0.10/M,0.20/M above 272K input tokens); output and cache tokens are never billed. OpenAI’s own validation errors are returned as 400.
POST
/
v1
/
decisions
Answer typed questions about an input (OpenAI Decisions)
curl --request POST \
--url https://api.impossibl.com/v1/decisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "openai/gpt-6-luna-decisions",
"input": "<string>",
"questions": [
{
"name": "<string>",
"instructions": "<string>",
"choices": [
{
"value": "<string>",
"description": "<string>"
}
],
"levels": [
{
"label": "<string>",
"description": "<string>"
}
]
}
]
}
'import requests
url = "https://api.impossibl.com/v1/decisions"
payload = {
"model": "openai/gpt-6-luna-decisions",
"input": "<string>",
"questions": [
{
"name": "<string>",
"instructions": "<string>",
"choices": [
{
"value": "<string>",
"description": "<string>"
}
],
"levels": [
{
"label": "<string>",
"description": "<string>"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'openai/gpt-6-luna-decisions',
input: '<string>',
questions: [
{
name: '<string>',
instructions: '<string>',
choices: [{value: '<string>', description: '<string>'}],
levels: [{label: '<string>', description: '<string>'}]
}
]
})
};
fetch('https://api.impossibl.com/v1/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impossibl.com/v1/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'openai/gpt-6-luna-decisions',
'input' => '<string>',
'questions' => [
[
'name' => '<string>',
'instructions' => '<string>',
'choices' => [
[
'value' => '<string>',
'description' => '<string>'
]
],
'levels' => [
[
'label' => '<string>',
'description' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impossibl.com/v1/decisions"
payload := strings.NewReader("{\n \"model\": \"openai/gpt-6-luna-decisions\",\n \"input\": \"<string>\",\n \"questions\": [\n {\n \"name\": \"<string>\",\n \"instructions\": \"<string>\",\n \"choices\": [\n {\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"levels\": [\n {\n \"label\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impossibl.com/v1/decisions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"openai/gpt-6-luna-decisions\",\n \"input\": \"<string>\",\n \"questions\": [\n {\n \"name\": \"<string>\",\n \"instructions\": \"<string>\",\n \"choices\": [\n {\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"levels\": [\n {\n \"label\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impossibl.com/v1/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"openai/gpt-6-luna-decisions\",\n \"input\": \"<string>\",\n \"questions\": [\n {\n \"name\": \"<string>\",\n \"instructions\": \"<string>\",\n \"choices\": [\n {\n \"value\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"levels\": [\n {\n \"label\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"model": "gpt-6-luna",
"answers": [
{
"type": "predicate",
"name": "<string>",
"probability": 0.5,
"choice": "<string>",
"score": 123,
"confidence": 0.5,
"probabilities": [
{}
]
}
],
"usage": {
"input_tokens": 1,
"output_tokens": 1,
"total_tokens": 1
}
}{
"error": {
"message": "`model` and `messages` are required",
"type": "invalid_request_error"
}
}{
"error": {
"message": "Invalid API key",
"type": "authentication_error"
}
}{
"error": {
"message": "Insufficient credits. Top up to continue.",
"type": "insufficient_quota"
}
}{
"error": {
"message": "Unknown model: foo/bar",
"type": "invalid_request_error"
}
}{
"error": {
"message": "permission-denied: ...",
"type": "upstream_error"
}
}{
"error": {
"message": "Provider not configured: missing OPENAI_API_KEY",
"type": "provider_not_configured"
}
}Authorizations
Gateway API key (imp-rt-...) from POST /v1/accounts or /v1/keys.
Body
application/json
⌘I

